The sodium_crypto_core_ristretto255_scalar_complement purpose

- « sodium_crypto_core_ristretto255_scalar_add

- sodium_crypto_core_ristretto255_scalar_invert »

- PHP Manual
- Sodium Functions
- The sodium_crypto_core_ristretto255_scalar_complement purpose

# sodium_crypto_core_ristretto255_scalar_complement

(PHP 8 >= 8.1.0)

sodium_crypto_core_ristretto255_scalar_complement — The sodium_crypto_core_ristretto255_scalar_complement purpose

### Description

sodium_crypto_core_ristretto255_scalar_complement(string `$s`): string

Available as of libsodium 1.0.18.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`s`

  Scalar value.

### Return Values

Returns a 32-byte random string.

### See Also

- sodium_crypto_core_ristretto255_scalar_random() - Generates a random key